## kwaterfoxhelper 5.0.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project( kwaterfoxhelper )

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")

find_package(ECM 1.0.0 REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(FeatureSummary)

find_package(KF5 REQUIRED COMPONENTS Notifications KIO WindowSystem I18n)

add_executable(kwaterfoxhelper main.cpp)

target_link_libraries(kwaterfoxhelper KF5::I18n KF5::KIOWidgets KF5::Notifications KF5::WindowSystem)

install(TARGETS kwaterfoxhelper DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/waterfox/)
install(FILES kwaterfoxhelper.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR})

## kwaterfoxhelper 5.0.6

=== debian/changelog ===
kwaterfoxhelper (5.0.6-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Convert to 3.0 (quilt) source package.
  * Disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 26 Oct 2019 16:03:26 -0700

kwaterfoxhelper (5.0.6-0) xenial; urgency=low

  * Changed way of determining browser's name

 -- hawkeye116477 <hawkeye116477@gmail.com>  Sun, 13 Oct 2019 11:08:00 +0200

kwaterfoxhelper (5.0.5-0) xenial; urgency=low

  * Added checking if it's started from Waterfox Classic or Current
  * Restored compatibility with KIO lower than 5.31.0

 -- hawkeye116477 <hawkeye116477@gmail.com>  Sat, 12 Oct 2019 13:36:00 +0200

kwaterfoxhelper (5.0.4-0) bionic; urgency=low

  * Cache helper protocols (boo#1037806)
  * Use new style connect
  * Don't use deprecated KRun:runUrl without flags, use with flags

 -- hawkeye116477 <hawkeye116477@gmail.com>  Sat, 20 Jul 2019 15:53:00 +0200

kwaterfoxhelper (5.0.3-0) xenial; urgency=low

  * Improved HiDPI support

 -- hawkeye116477 <hawkeye116477@gmail.com>  Sun, 09 Dec 2018 16:46:00 +0200

kwaterfoxhelper (5.0.2-0) xenial; urgency=medium

  * Moved to /usr/lib/waterfox to follow Debian's standards

 -- hawkeye116477 <hawkeye116477@gmail.com>  Mon, 15 Oct 2018 09:58:00 +0200

=== debian/control ===
Source: kwaterfoxhelper
Section: web
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: hawkeye116477 <hawkeye116477@gmail.com>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               kio-dev | libkf5kio-dev,
               libkf5i18n-dev,
               libkf5notifications-dev,
               libkf5windowsystem-dev,
               pkg-kde-tools
Standards-Version: 3.9.7
Homepage: https://github.com/hawkeye116477/kwaterfoxhelper

Package: kwaterfoxhelper
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Integration of Waterfox with KDE Plasma
 This is a helper application that allows Waterfox to use
 KDE file dialogs, file associations, protocol handlers and
 other KDE Plasma integration features.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kf5

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## kwaterfoxhelper 5.0.7

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kwaterfoxhelper
 Section: web
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: hawkeye116477 <hawkeye116477@gmail.com>
+Maintainer: hawkeye116477 <hawkeye116477@gmail.com>
 Build-Depends: cmake,
                debhelper (>= 9),
                extra-cmake-modules,
@@ -15,7 +14,7 @@
 Homepage: https://github.com/hawkeye116477/kwaterfoxhelper
 
 Package: kwaterfoxhelper
-Architecture: amd64
+Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Integration of Waterfox with KDE Plasma
  This is a helper application that allows Waterfox to use

=== debian/rules ===
#!/usr/bin/make -f

%:
	DEB_BUILD_OPTIONS=noddebs dh $@ --with kf5
